# OgreGrid2DPageStrategy.h File Reference

`#include "OgrePagingPrerequisites.h"`
`#include "OgrePageStrategy.h"`
`#include "OgreVector2.h"`
`#include "OgreVector3.h"`
`#include "OgreQuaternion.h"`

Go to the source code of this file.

## Classes

class | Ogre::Grid2DPageStrategyData
| Specialisation of PageStrategyData for GridPageStrategy. More...
class | Ogre::Grid2DPageStrategy
| Page strategy which loads new pages based on a regular 2D grid. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::Grid2DMode { Ogre::G2D_X_Z = 0, Ogre::G2D_X_Y = 1, Ogre::G2D_Y_Z = 2 }
| The 2D grid mode. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52